Bug 193041 - AX: String check: "Rule" does not reflect the meaning of the <hr> html tag
Summary: AX: String check: "Rule" does not reflect the meaning of the <hr> html tag
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: Other
Hardware: All All
: P2 Normal
Assignee: chris fleizach
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-12-26 18:05 PST by chris fleizach
Modified: 2019-03-29 17:38 PDT (History)
11 users (show)

See Also:


Attachments
patch (3.98 KB, patch)
2018-12-26 18:08 PST, chris fleizach
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-sierra (2.45 MB, application/zip)
2018-12-26 19:09 PST, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-sierra-wk2 (3.00 MB, application/zip)
2018-12-26 19:20 PST, Build Bot
no flags Details
Archive of layout-test-results from ews116 for mac-sierra (1.98 MB, application/zip)
2018-12-26 19:59 PST, Build Bot
no flags Details
patch (4.52 KB, patch)
2018-12-26 22:25 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch (4.52 KB, patch)
2018-12-26 22:28 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch (5.09 KB, patch)
2018-12-26 23:39 PST, chris fleizach
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description chris fleizach 2018-12-26 18:05:42 PST
EN suggested: line 

This should be the accessability role description for a horizontal rule <hr> in HTML 4.x. In HTML 5.0 since you can no longer edit certain aspects of it it is called a Thematic Break line. However, it is still represented by a horizontal line separating sections of a website.
The important and relevant part of “horizontal rule” is in fact … horizontal, rule being too generic to be relevant in this case. 

More info:
https://www.w3schools.com/tags/tag_hr.asp
https://developer.mozilla.org/en-US/docs/Web/HTML/Element/hr
https://www.w3schools.com/howto/howto_css_style_hr.asp

-----------------------

I think the essence of both “Horizontal rule” and “Thematic break” are in their function of separation, regardless of their horizontal or thematic nature. Therefore, I think “separator” is an accurate way to describe <hr>, which is also specific enough to yield an authentic localization string (as opposed to the ambiguious “line” and “rule”).
Comment 1 Radar WebKit Bug Importer 2018-12-26 18:05:57 PST
<rdar://problem/46954090>
Comment 2 chris fleizach 2018-12-26 18:08:23 PST
Created attachment 358090 [details]
patch
Comment 3 chris fleizach 2018-12-26 18:08:49 PST
rdar://problem/46630975
Comment 4 Build Bot 2018-12-26 19:09:29 PST
Comment on attachment 358090 [details]
patch

Attachment 358090 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/10555419

New failing tests:
accessibility/roles-exposed.html
Comment 5 Build Bot 2018-12-26 19:09:31 PST
Created attachment 358092 [details]
Archive of layout-test-results from ews103 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 6 Build Bot 2018-12-26 19:20:42 PST
Comment on attachment 358090 [details]
patch

Attachment 358090 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/10555432

New failing tests:
accessibility/roles-exposed.html
Comment 7 Build Bot 2018-12-26 19:20:44 PST
Created attachment 358094 [details]
Archive of layout-test-results from ews104 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 8 Build Bot 2018-12-26 19:59:27 PST
Comment on attachment 358090 [details]
patch

Attachment 358090 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/10555557

New failing tests:
accessibility/roles-exposed.html
Comment 9 Build Bot 2018-12-26 19:59:29 PST
Created attachment 358096 [details]
Archive of layout-test-results from ews116 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews116  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 10 chris fleizach 2018-12-26 22:25:12 PST
Created attachment 358100 [details]
patch
Comment 11 Build Bot 2018-12-26 22:27:40 PST
Attachment 358100 [details] did not pass style-queue:


ERROR: LayoutTests/ChangeLog:10:  Need whitespace between colon and description  [changelog/filechangedescriptionwhitespace] [5]
Total errors found: 1 in 6 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 12 chris fleizach 2018-12-26 22:28:43 PST
Created attachment 358101 [details]
patch
Comment 13 chris fleizach 2018-12-26 23:39:43 PST
Created attachment 358102 [details]
patch
Comment 14 WebKit Commit Bot 2019-01-04 09:18:25 PST
Comment on attachment 358102 [details]
patch

Clearing flags on attachment: 358102

Committed r239613: <https://trac.webkit.org/changeset/239613>
Comment 15 WebKit Commit Bot 2019-01-04 09:18:27 PST
All reviewed patches have been landed.  Closing bug.
Comment 16 James Craig 2019-03-29 17:38:21 PDT
<rdar://problem/46630975>